; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; natural?

; ---conformance---
; SketchyLISP Core

; ---purpose---
; Test whether a number is a natural number.
; See "digits" for defintions of numbers.

; ---args---
; A - number

; ---keywords---
; NATURAL? function, numbers, digit, predicate, natural

; ---see-also---
; digits, natural

; ---example---
; (natural? 567) => #t

(define naturalp #t)

(require "digits.scm")
(require "non-negativep.scm") ; non-negative?

; ---code---
(define (natural? a)
  (non-negative? a))

