; SketchyLISP Library
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; if

; ---conformance---
; R5RS

; ---purpose---
; Conditional evaluation.

; ---args---
; P - predicate
; TF - consequent
; FF - alternative

; ---keywords---
; IF function, conditional evalaution.

; ---see-also---

; ---example---
; (if #t 'true 'false) => true

; ---model---
; (define-syntax if
;    (syntax-rules ()
;      ((_ p tf ff)
;        (cond (p tf) (#t ff)))))

; ---code---
; This pseudo function is a special form handler.

