; SketchyLISP Example Program
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; explode

; ---conformance---
; R5RS

; ---purpose---
; Explode a symbol into single-char symbols.

; ---args---
; X - symbol

; ---keywords---
; EXPLODE function, symbol, decomposition

; ---example---
; (explode 'hello) => (h e l l o)

; (require "lib/string.scm")
; (require "lib/map.scm")

; ---code---
(define (explode x)
  (map (lambda (x)
         (string->symbol (string x)))
    (string->list (symbol->string x))))

