; SketchyLISP Example Program
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; remove

; ---conformance---
; R5RS

; ---purpose---
; Remove members from lists.

; ---args---
; A - list
; P - predicate to match members to remove

; ---keywords---
; REMOVE function, lists, sets, set theory, member, remove

; ---example---
; (remove '(abc 123 def 456 ghi) number?) => (abc def ghi)

(define remove #t)

(require "filter.scm")
; (require "lib/reverse.scm")
; (require "lib/not.scm")

; ---model---
; (define (remove a p)
;   (cond ((null? a) '())
;     ((p (car a)) (cdr a))
;     (#t (cons (car a) (remove (cdr a) p)))))

; ---code---
(define (remove a p)
  (filter a (lambda (x) (not (p x)))))

