; SketchyLISP Example Program
; Copyright (C) 2005 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; sketchy-ext

; ---conformance---
; SketchyLISP

; ---purpose---
; Load the SketchyLISP extension library into memory.

; ---keywords---
; SketchyLISP, procedures functions, routines, subroutines

(define sketchy-ext #t)

; ---code---
(package 'sketchy-ext)
(require "anyp.scm") ; any?
(require "count.scm")
(require "depth.scm")
(require "everyp.scm") ; every?
(require "explode.scm")
(require "fact.scm")
(require "factors.scm")
(require "filter.scm")
(require "headp.scm") ; head?
(require "hyper.scm")
(require "implode.scm")
(require "insert.scm")
(require "intersection.scm")
(require "iota.scm")
(require "isort.scm")
(require "last.scm")
(require "maplist.scm")
(require "not-equalp.scm") ; not-equal?
(require "orderedp.scm") ; ordered?
(require "pair.scm")
(require "permute.scm")
(require "product.scm")
(require "qsort.scm")
(require "read-line.scm")
(require "remove.scm")
(require "some.scm")
(require "sublist.scm")
(require "subst.scm")
(require "sum.scm")
(require "tailp.scm") ; tail?
(require "union.scm")
(require "unique.scm")
(require "unsort.scm")
(package)

